Skip to main content
POST
cURL
This is the Seedance Video Generation API fetch endpoint. Query video generation task status and results via id.

Authorizations

TT-API-KEY
string
header
required

Get your API key from the TTAPI Dashboard.

Path Parameters

id
string
required

Task ID

Response

200 - application/json

Request successful

id
string
required

Task ID. Saved for 7 days only (from created_at).

status
enum<string>
required

Task status: queued, running, succeeded, failed, cancelled, expired

Available options:
queued,
running,
succeeded,
failed,
cancelled,
expired
model
string

Model name and version, format: model_name-version

content
object

Output content

created_at
integer

Creation time(Unix timestamp, seconds)

updated_at
integer

Update time (Unix timestamp, seconds)

draft
boolean

Whether it is a draft video (true=draft, false=final video)

duration
integer

Video duration (seconds). Actual total frames / 24 (rounded down). Returns only one of duration/frames.

frames
integer

Number of video frames。and duration returns only one。

framespersecond
integer

Video frame rate

error
object

Error info. Returns null on success, error data on failure.

execution_expires_after
integer

Task timeout threshold (seconds)

generate_audio
boolean

Whether to generate synchronized audio

output_format
enum<string>

Output format

Available options:
mp4,
mov
priority
integer

Execution priority (0~9)

ratio
string

Aspect ratio

resolution
enum<string>

Resolution

Available options:
480p,
720p,
1080p,
4k
safety_identifier
string

End user identifier

seed
integer

Random seed

service_tier
enum<string>

Service tier

Available options:
default,
flex
tools
object[]

Actually used tools

usage
object

Token usage

Last modified on October 22, 2026